CREATE TABLE ap_prepay_app_dists (
    PREPAY_APP_DIST_ID               NUMBER(18, 0) ,
    PREPAY_DIST_LOOKUP_CODE          VARCHAR2(120)     NOT NULL,
    INVOICE_DISTRIBUTION_ID          NUMBER(18, 0)     NOT NULL,
    PREPAY_APP_DISTRIBUTION_ID       NUMBER(18, 0)     NOT NULL,
    ACCOUNTING_EVENT_ID              NUMBER(18, 0) ,
    PREPAY_HISTORY_ID                NUMBER(18, 0) ,
    PREPAY_EXCHANGE_DATE             DATE          ,
    PREPAY_PAY_EXCHANGE_DATE         DATE          ,
    PREPAY_CLR_EXCHANGE_DATE         DATE          ,
    PREPAY_EXCHANGE_RATE             NUMBER        ,
    PREPAY_PAY_EXCHANGE_RATE         NUMBER        ,
    PREPAY_CLR_EXCHANGE_RATE         NUMBER        ,
    PREPAY_EXCHANGE_RATE_TYPE        VARCHAR2(120) ,
    PREPAY_PAY_EXCHANGE_RATE_TYPE    VARCHAR2(120) ,
    PREPAY_CLR_EXCHANGE_RATE_TYPE    VARCHAR2(120) ,
    REVERSED_PREPAY_APP_DIST_ID      NUMBER(18, 0) ,
    AMOUNT                           NUMBER        ,
    BASE_AMT_AT_PREPAY_XRATE         NUMBER        ,
    BASE_AMT_AT_PREPAY_PAY_XRATE     NUMBER        ,
    BASE_AMOUNT                      NUMBER        ,
    BASE_AMT_AT_PREPAY_CLR_XRATE     NUMBER        ,
    ROUNDING_AMT                     NUMBER        ,
    ROUND_AMT_AT_PREPAY_XRATE        NUMBER        ,
    ROUND_AMT_AT_PREPAY_PAY_XRATE    NUMBER        ,
    ROUND_AMT_AT_PREPAY_CLR_XRATE    NUMBER        ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    AWT_RELATED_ID                   NUMBER(18, 0) ,
    RELEASE_INV_DIST_DERIVED_FROM    NUMBER(18, 0) ,
    PA_ADDITION_FLAG                 VARCHAR2(4)   ,
    BC_EVENT_ID                      NUMBER(18, 0) ,
    AMOUNT_VARIANCE                  NUMBER        ,
    INVOICE_BASE_AMT_VARIANCE        NUMBER        ,
    QUANTITY_VARIANCE                NUMBER        ,
    INVOICE_BASE_QTY_VARIANCE        NUMBER        ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    PREPAY_APP_DIST_ID               NUMBER(18, 0) ,
    PREPAY_DIST_LOOKUP_CODE          VARCHAR2(120)     NOT NULL,
    INVOICE_DISTRIBUTION_ID          NUMBER(18, 0)     NOT NULL,
    PREPAY_APP_DISTRIBUTION_ID       NUMBER(18, 0)     NOT NULL,
    ACCOUNTING_EVENT_ID              NUMBER(18, 0) ,
    PREPAY_HISTORY_ID                NUMBER(18, 0) ,
    PREPAY_EXCHANGE_DATE             DATE          ,
    PREPAY_PAY_EXCHANGE_DATE         DATE          ,
    PREPAY_CLR_EXCHANGE_DATE         DATE          ,
    PREPAY_EXCHANGE_RATE             NUMBER        ,
    PREPAY_PAY_EXCHANGE_RATE         NUMBER        ,
    PREPAY_CLR_EXCHANGE_RATE         NUMBER        ,
    PREPAY_EXCHANGE_RATE_TYPE        VARCHAR2(120) ,
    PREPAY_PAY_EXCHANGE_RATE_TYPE    VARCHAR2(120) ,
    PREPAY_CLR_EXCHANGE_RATE_TYPE    VARCHAR2(120) ,
    REVERSED_PREPAY_APP_DIST_ID      NUMBER(18, 0) ,
    AMOUNT                           NUMBER        ,
    BASE_AMT_AT_PREPAY_XRATE         NUMBER        ,
    BASE_AMT_AT_PREPAY_PAY_XRATE     NUMBER        ,
    BASE_AMOUNT                      NUMBER        ,
    BASE_AMT_AT_PREPAY_CLR_XRATE     NUMBER        ,
    ROUNDING_AMT                     NUMBER        ,
    ROUND_AMT_AT_PREPAY_XRATE        NUMBER        ,
    ROUND_AMT_AT_PREPAY_PAY_XRATE    NUMBER        ,
    ROUND_AMT_AT_PREPAY_CLR_XRATE    NUMBER        ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    AWT_RELATED_ID                   NUMBER(18, 0) ,
    RELEASE_INV_DIST_DERIVED_FROM    NUMBER(18, 0) ,
    PA_ADDITION_FLAG                 VARCHAR2(4)   ,
    BC_EVENT_ID                      NUMBER(18, 0) ,
    AMOUNT_VARIANCE                  NUMBER        ,
    INVOICE_BASE_AMT_VARIANCE        NUMBER        ,
    QUANTITY_VARIANCE                NUMBER        ,
    INVOICE_BASE_QTY_VARIANCE        NUMBER        ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    CONSTRAINT pk_ap_prepay_app_dists PRIMARY KEY (PREPAY_APP_DIST_ID, PREPAY_APP_DIST_ID)
);
